Package tigase.server.ext.handlers

## Class JabberClientStreamOpenHandler

- java.lang.Object
- - tigase.server.ext.handlers.JabberClientStreamOpenHandler

- All Implemented Interfaces:
    `StreamOpenHandler`

      public class JabberClientStreamOpenHandler
      extends java.lang.Object
      implements StreamOpenHandler

  Created: Oct 7, 2009 3:17:09 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `XMLNS` |

    - ### Fields inherited from interface tigase.server.ext.StreamOpenHandler

      `XMLNS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JabberClientStreamOpenHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getXMLNSs()` |
    `java.lang.String` | `serviceStarted​(ComponentIOService serv)` |
    `java.lang.String` | `streamOpened​(ComponentIOService serv, java.util.Map<java.lang.String,​java.lang.String> attribs, ComponentProtocolHandler handler)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS

          public static final java.lang.String XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JabberClientStreamOpenHandler

          public JabberClientStreamOpenHandler()

  - ### Method Detail

    - #### getXMLNSs

          public java.lang.String[] getXMLNSs()

      Specified by:
        `getXMLNSs` in interface `StreamOpenHandler`

    - #### serviceStarted

          public java.lang.String serviceStarted​(ComponentIOService serv)

      Specified by:
        `serviceStarted` in interface `StreamOpenHandler`

    - #### streamOpened

          public java.lang.String streamOpened​(ComponentIOService serv,
                                               java.util.Map<java.lang.String,​java.lang.String> attribs,
                                               ComponentProtocolHandler handler)

      Specified by:
        `streamOpened` in interface `StreamOpenHandler`